
QGIS Application - Bug report #8302

missing join for label makes QGIS crash

2013-07-15 08:04 AM - Denis Rouzaud

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 17097

Description

Make a join on a layer

Use a joined field as a label.

Remove joined layer.

Save - reopen

=> crash

History

#1 - 2013-07-15 08:46 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2013-07-16 04:28 AM - Jürgen Fischer

- Status changed from Open to Feedback

Using a simple point shape and a csv file it's not reproducable here.

#3 - 2013-07-16 04:48 AM - Denis Rouzaud

sorry, correction:

Make a join on a layer

Use a joined field as a label.

Remove the join.

Save - reopen

=> crash

I got this with postgres, I did not test with other sources.

#4 - 2013-07-16 02:23 PM - Jürgen Fischer

Denis Rouzaud wrote:

I got this with postgres, I did not test with other sources.

um, sorry, still not reproducable.
#5 - 2013-07-17 08:02 AM - Giovanni Manghi

Jürgen Fischer wrote:

Denis Rouzaud wrote:

I got this with postgres, I did not test with other sources.

um, sorry, still not reproducable.

I'm also not able to replicate, used a postgis layer joined with a csv table.

#6 - 2013-07-19 02:35 PM - Salvatore Larosa

Giovanni Manghi wrote:

Jürgen Fischer wrote:

Denis Rouzaud wrote:

I got this with postgres, I did not test with other sources.

um, sorry, still not reproducable.

I'm also not able to replicate, used a postgis layer joined with a csv table.

Same here.

#7 - 2013-07-22 01:41 AM - Denis Rouzaud

Sorry, apparently it is related to a common crash when opening a project while another one is already open.

I made a video demo at first showing the crash: with the written procedure:

http://www.youtube.com/watch?v=O5J_aGYlbyQ

But if I open a blank QGIS, I can open the project without any problem, but if I reopen it again, it crashes.

#8 - 2013-07-22 07:45 AM - Giovanni Manghi

Denis Rouzaud wrote:

Sorry, apparently it is related to a common crash when opening a project while another one is already open.

I made a video demo at first showing the crash: with the written procedure:

http://www.youtube.com/watch?v=O5J_aGYlbyQ

But if I open a blank QGIS, I can open the project without any problem, but if I reopen it again, it crashes.
I have tested again with the same exact steps as in the video, and no crash again. Maybe it depends on the data, can you share a sample?

#9 - 2013-07-22 10:45 AM - Salvatore Larosa

Denis Rouzaud wrote:

Sorry, apparently it is related to a common crash when opening a project while another one is already open.

I made a video demo at first showing the crash: with the written procedure:

http://www.youtube.com/watch?v=O5J_aGYlbyQ

But if I open a blank QGIS, I can open the project without any problem, but if I reopen it again, it crashes.

Hi Denis,

I can reproduce it just activating the QuicFinder plugin.

I think this issue is not related to QGIS.

Please could you try by deactivating the QuickFinder plugin ?

#10 - 2013-07-22 10:10 PM - Denis Rouzaud

- Status changed from Feedback to Closed

You are right.

Thanks a lot for this, I will try to fix the plugin.
